﻿@model eCommerce.BackOffice.ViewModels.CartDetailViewModel
@using eCommerce.Services.Model.Enums


@{
    ViewBag.Title = "Detalle de carrito de" + Model.CustomerName;
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<style>
    td {
        vertical-align: middle !important;
    }
</style>
<div class="panel">
    <div class="panel-body">
        <table class="table table-hover dataTable table-striped width-full table-ordersincart" data-plugin="dataTable">
            <thead>
                <tr>
                    <th class="text-center">Producto</th>
                    <th class="text-center">Titulo</th>
                    <th class="text-center">Talle</th>
                    <th class="text-center">Color</th>
                    <th class="text-center">Cantidad</th>
                    <th class="text-center">Subtotal</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var orderdetail in Model.OrderDetails)
                {
                    <tr>
                        <td class="text-center"><img style="max-height:100px;" src="@string.Format("{0}/{1}", "/content/uploaddirectory", orderdetail.Product.getDefaultImageUrl)" /></td>
                        <td class="text-center">@orderdetail.Product.Title</td>
                        <td class="text-center">@orderdetail.Size.Description</td>
                        <td class="text-center">@orderdetail.Color.Description</td>
                        <td class="text-center">@orderdetail.Quantity</td>
                        <td class="text-center">@((orderdetail.Price * orderdetail.Quantity).ToString("c2"))</td>
                    </tr>
                }
            </tbody>
        </table>

    </div>
</div>


@section scripts{

    <script>


    $(document).ready(function() {

        $('.table-ordersincart').DataTable();

    });

    </script>


}


